## qbittorrent-enhanced 4.5.3.10

=== debian/changelog ===
qbittorrent-enhanced (4.5.3.10-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Bump up to dh compat 10.
  * Update minvers of Qt5 and libtorrent-raster BDs.
  * Don't build any dbg packages.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 03 Jun 2023 14:05:06 -0700

qbittorrent-enhanced (4.5.3.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.5.3.10
   - Official Update (v4.5.3)
  * debian/patches: Refresh qbee-desktop-names.diff

 -- poplite <poplite.xyz@gmail.com>  Wed, 31 May 2023 21:41:06 +0800

qbittorrent-enhanced (4.5.2.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.5.2.10
   - Official Update (v4.5.2)

 -- poplite <poplite.xyz@gmail.com>  Tue, 28 Feb 2023 23:21:59 +0800

qbittorrent-enhanced (4.5.1.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.5.1.10
   - Official Update (v4.5.1)
   - Update offline downloader filter
   - [Cherry Pick] qbittorrent#18506 qbittorrent#18394 qbittorrent#18503 qbittorrent#18554 qbittorrent#18555

 -- poplite <poplite.xyz@gmail.com>  Fri, 17 Feb 2023 11:21:35 +0800

qbittorrent-enhanced (4.5.0.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.5.0.10
   - Official Update (v4.5.0)
  * debian/patches: Refresh qbee-desktop-names.diff
  * debian/patches: Refresh honor-buildflags.patch

 -- poplite <poplite.xyz@gmail.com>  Sun, 04 Dec 2022 11:29:59 +0800

qbittorrent-enhanced (4.4.5.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.4.5.10
   - Official Update (v4.4.5)
   - Switch to libtorrent 1.2

 -- poplite <poplite.xyz@gmail.com>  Sun, 04 Sep 2022 12:10:12 +0800

qbittorrent-enhanced (4.4.4.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.4.4.10
   - Official Update (v4.4.4)

 -- poplite <poplite.xyz@gmail.com>  Wed, 24 Aug 2022 21:32:47 +0800

qbittorrent-enhanced (4.4.3.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.4.3.10
   - Official Update (v4.4.3)
  * debian/patches: Refresh qbee-desktop-names.diff

 -- poplite <poplite.xyz@gmail.com>  Tue, 24 May 2022 11:30:29 +0800

qbittorrent-enhanced (4.4.2.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.4.2.10
   - Official Update (v4.4.2)
  * debian/patches: Refresh qbee-desktop-names.diff

 -- poplite <poplite.xyz@gmail.com>  Sat, 26 Mar 2022 10:15:54 +0800

qbittorrent-enhanced (4.4.1.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.4.1.10
   - Official Update (v4.4.0)
   - Bittorrent Media Player Blacklist Update: StellarPlayer
  * debian/patches: Refresh qbee-desktop-names.diff

 -- poplite <poplite.xyz@gmail.com>  Thu, 17 Feb 2022 10:03:04 +0800

qbittorrent-enhanced (4.4.0.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.4.0.10
   - Official Update (v4.4.0)
  * debian/patches: Refresh qbee-desktop-names.diff
  * debian/patches: Disable kfreebsd-detection.patch

 -- poplite <poplite.xyz@gmail.com>  Mon, 10 Jan 2022 16:56:41 +0800

qbittorrent-enhanced (4.3.9.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.3.9.10
   - Official Update (v4.3.9)
  * debian/patches: Refresh qbee-desktop-names.diff

 -- poplite <poplite.xyz@gmail.com>  Mon, 01 Nov 2021 10:33:56 +0800

qbittorrent-enhanced (4.3.8.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.3.8.10
   - Official Update (v4.3.8)

 -- poplite <poplite.xyz@gmail.com>  Tue, 31 Aug 2021 09:31:27 +0800

qbittorrent-enhanced (4.3.7.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.3.7.10
   - Official Update (v4.3.7)
  * debian/patches: Refresh qbee-desktop-names.diff

 -- poplite <poplite.xyz@gmail.com>  Thu, 05 Aug 2021 13:07:38 +0800

qbittorrent-enhanced (4.3.5.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.3.5.10
   - Official Update (v4.3.5)
   - Peer whitelist/blacklist
  * debian/patches: Refresh qbee-desktop-names.diff

 -- poplite <poplite.xyz@gmail.com>  Tue, 04 May 2021 20:01:04 +0800

qbittorrent-enhanced (4.3.4.11-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.3.4.11

 -- poplite <poplite.xyz@gmail.com>  Mon, 29 Mar 2021 10:03:12 +0800

qbittorrent-enhanced (4.3.4.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.3.4.10
   - - Official Update (v4.3.4.1)
  * debian/patches: Refresh qbee-desktop-names.diff

 -- poplite <poplite.xyz@gmail.com>  Sun, 28 Mar 2021 10:54:00 +0800

qbittorrent-enhanced (4.3.2.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.3.2.10
   - Official Update (v4.3.2)
  * debian/control: Require libtorrent-rasterbar >= 1.2.11
  * debian/patches: Refresh qbee-desktop-names.diff

 -- poplite <poplite.xyz@gmail.com>  Mon, 28 Dec 2020 15:11:09 +0800

qbittorrent-enhanced (4.3.1.11-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.3.1.11
    - Drop custom ipfilter.dat parser and workaround (#185)
    - Fix high CPU usage (#187)
    - [cherry-pick] several bugfix commits

 -- poplite <poplite.xyz@gmail.com>  Tue, 01 Dec 2020 08:19:01 +0800

qbittorrent-enhanced (4.3.1.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.3.1.10
    - Official update (v4.3.1)
    - Reimplement "ban bad peers" feature (#177)

 -- poplite <poplite.xyz@gmail.com>  Fri, 27 Nov 2020 08:34:57 +0800

qbittorrent-enhanced (4.3.0.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.3.0.10
   - Official update (v4.3.0.1)
   - Max concurrent http announces limit raised to 500.
   - Allow user to add peers in a "Trackerless" Private Torrents. (qbittorrent#13539)
   - [CherryPick] Fix toggling advanced option in WebUI

  * debian/rules: Enable debug symbol package
  * debian/missing-sources: Add clipboard-2.0.0.js

 -- poplite <poplite.xyz@gmail.com>  Fri, 23 Oct 2020 20:07:14 +0800

qbittorrent-enhanced (4.2.5.16-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.2.5.16
   - [Windows] Boost Library downgrade to 1.73 (Fix #155 #156)
   - Save torrent resume data when enabling IP Filter


