=== debian/control ===
Source: qbittorrent-enhanced
Section: net
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: poplite <poplite.xyz@gmail.com>
Build-Depends: debhelper (>= 10),
               dpkg-dev (>= 1.16.1),
               libboost-dev (>= 1.40.0),
               libqt5svg5-dev (>= 5.15.0),
               libtorrent-rasterbar-dev (>= 2.0.8),
               qtbase5-dev (>= 5.15.0),
               qttools5-dev-tools,
               zlib1g-dev
Standards-Version: 4.1.0
Homepage: https://github.com/c0re100/qBittorrent-Enhanced-Edition

Package: qbittorrent-enhanced
Architecture: any
Depends: geoip-database,
         libqt5sql5-sqlite,
         python3,
         ${misc:Depends},
         ${shlibs:Depends}
# Suggests: qbittorrent-enhanced-dbg
Conflicts: qbittorrent
Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI (Enhanced Edition)
 BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
 user interface. qBittorrent is a feature rich but lightweight client that is
 very similar to uTorrent. Its main features are:
 .
  * Polished uTorrent-like user interface
  * Well integrated and extensible search engine
  * Remote control through a Web user interface
  * Vuze-compatible protocol encryption
  * uTorrent-compatible Peer eXchange (PeX)
  * DHT (trackerless) support
  * UPnP / NAT-PMP port forwarding
  * IPv6 compliant
  * RSS support with advanced download filters
  * Advanced control over torrent content and trackers
  * IP Filtering (eMule / Peer Guardian filters)
  * Torrents queueing and prioritizing
  * Good localization (~25 languages supported)
  * Unicode support

Package: qbittorrent-enhanced-nox
Architecture: any
Depends: adduser,
         libqt5sql5-sqlite,
         lsb-base,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: qbittorrent-enhanced-dbg
Conflicts: qbittorrent-nox
Description: bittorrent client based on libtorrent-rasterbar (Enhanced Edition) (without X support)
 BitTorrent client written in C++ and based on libtorrent-rasterbar.
 qBittorrent-nox is a version of qBittorrent (Qt5 application) that does not
 require X and can be controlled via a WebUI, thus is more suitable for headless
 servers. It is a feature rich but lightweight client that is very similar to
 rTorrent. Its main features are:
 .
  * Remote control through a Web user interface
  * Vuze-compatible protocol encryption
  * uTorrent-compatible Peer eXchange (PeX)
  * DHT (trackerless) support
  * UPnP / NAT-PMP port forwarding
  * IPv6 compliant
  * Advanced control over torrent content and trackers
  * IP Filtering (eMule / Peer Guardian filters)
  * Torrents queueing and prioritizing
  * Good localization (~25 languages supported)
  * Unicode support
