=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --without autoreconf --with systemd

override_dh_auto_configure:
	dh_auto_configure --builddirectory build-nox -- --disable-gui \
		--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
	dh_auto_configure --builddirectory build-gui -- \
		--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	dh_auto_build --builddirectory build-nox
	dh_auto_build --builddirectory build-gui

override_dh_auto_install:
	sed -i '/STRIP/d' build-nox/src/Makefile
	sed -i '/STRIP/d' build-gui/src/Makefile
	dh_auto_install --builddirectory build-nox --destdir debian/qbittorrent-enhanced-nox \
		-- INSTALL_ROOT=$(CURDIR)/debian/qbittorrent-enhanced-nox
	dh_auto_install --builddirectory build-gui --destdir debian/qbittorrent-enhanced \
		-- INSTALL_ROOT=$(CURDIR)/debian/qbittorrent-enhanced

override_dh_installinit:
	dh_installinit --no-start

override_dh_systemd_start:
	dh_systemd_start --no-start

override_dh_systemd_enable:
	dh_systemd_enable --no-enable

override_dh_auto_clean:
	dh_auto_clean --builddirectory build-nox
	dh_auto_clean --builddirectory build-gui

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym
