## qbittorrent-enhanced 4.5.4.10

=== debian/changelog ===
qbittorrent-enhanced (4.5.4.10-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 28 Aug 2023 11:22:04 -0700

qbittorrent-enhanced (4.5.4.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.5.4.10
   - Official Update (v4.5.4)
   - [CherryPick] WebUI: Show only hosts in tracker filter list
     qbittorrent#18190
   - [CherryPick] WebUI: use natural sort on tracker list qbittorrent#19069

 -- poplite <poplite.xyz@gmail.com>  Thu, 22 Jun 2023 18:37:43 +0800
