=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: poplite <poplite.xyz@gmail.com>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                libboost-dev (>= 1.40.0),
-               libqt5svg5-dev (>= 5.15.0),
-               libtorrent-rasterbar-dev (>= 2.0.8),
-               qtbase5-dev (>= 5.15.0),
+               libqt5svg5-dev (>= 5.9.0),
+               libtorrent-rasterbar-dev (>= 1.2.11),
+               qtbase5-dev (>= 5.9.0),
                qttools5-dev-tools,
                zlib1g-dev
 Standards-Version: 4.1.0
@@ -23,7 +23,7 @@
          ${shlibs:Depends}
 # Suggests: qbittorrent-enhanced-dbg
 Conflicts: qbittorrent
-Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI (Enhanced Edition)
+Description: bittorrent client based on libtorrent-rasterbar (Enhanced Edition)
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
  user interface. qBittorrent is a feature rich but lightweight client that is
  very similar to uTorrent. Its main features are:
@@ -50,14 +50,14 @@
          lsb-base,
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: qbittorrent-enhanced-dbg
+# Suggests: qbittorrent-enhanced-dbg
 Conflicts: qbittorrent-nox
-Description: bittorrent client based on libtorrent-rasterbar (Enhanced Edition) (without X support)
+Description: qBittorrent client (Enhanced Edition) (without X support)
  BitTorrent client written in C++ and based on libtorrent-rasterbar.
  qBittorrent-nox is a version of qBittorrent (Qt5 application) that does not
- require X and can be controlled via a WebUI, thus is more suitable for headless
- servers. It is a feature rich but lightweight client that is very similar to
- rTorrent. Its main features are:
+ require X and can be controlled via a WebUI, thus is more suitable for
+ headless servers. It is a feature rich yet lightweight client that is very
+ similar to rTorrent. Its main features are:
  .
   * Remote control through a Web user interface
   * Vuze-compatible protocol encryption
