=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,5 @@
 	dh_auto_clean --builddirectory build-nox
 	dh_auto_clean --builddirectory build-gui
 
-# No dbgsym packages:
 override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
+	dh_strip -a --no-automatic-dbgsym
