## qbittorrent-enhanced 4.6.0.10

=== debian/changelog ===
qbittorrent-enhanced (4.6.0.10-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 05 Nov 2023 06:46:28 -0800

qbittorrent-enhanced (4.6.0.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.6.0.10
   - Official Update (v4.6.0)
  * debian/patches: Refresh qbee-desktop-names.diff

 -- poplite <poplite.xyz@gmail.com>  Tue, 31 Oct 2023 07:07:06 +0800

qbittorrent-enhanced (4.5.5.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.5.5.10
   - Official Update (v4.5.5)

 -- poplite <poplite.xyz@gmail.com>  Fri, 01 Sep 2023 00:09:50 +0800
