=== debian/control ===
--- 
+++ 
@@ -18,12 +18,12 @@
 Architecture: any
 Depends: geoip-database,
          libqt5sql5-sqlite,
+         libqt5svg5,
          python3,
          ${misc:Depends},
          ${shlibs:Depends}
-# Suggests: qbittorrent-enhanced-dbg
 Conflicts: qbittorrent
-Description: bittorrent client based on libtorrent-rasterbar (Enhanced Edition)
+Description: bittorrent client with a Qt5 GUI (Enhanced Edition)
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
  user interface. qBittorrent is a feature rich but lightweight client that is
  very similar to uTorrent. Its main features are:
@@ -50,14 +50,13 @@
          lsb-base,
          ${misc:Depends},
          ${shlibs:Depends}
-# Suggests: qbittorrent-enhanced-dbg
 Conflicts: qbittorrent-nox
-Description: qBittorrent client (Enhanced Edition) (without X support)
+Description: bittorrent client based on libtorrent-rasterbar (Enhanced Edition) (without X support)
  BitTorrent client written in C++ and based on libtorrent-rasterbar.
  qBittorrent-nox is a version of qBittorrent (Qt5 application) that does not
- require X and can be controlled via a WebUI, thus is more suitable for
- headless servers. It is a feature rich yet lightweight client that is very
- similar to rTorrent. Its main features are:
+ require X and can be controlled via a WebUI, thus is more suitable for headless
+ servers. It is a feature rich but lightweight client that is very similar to
+ rTorrent. Its main features are:
  .
   * Remote control through a Web user interface
   * Vuze-compatible protocol encryption
