=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/release-(.+)\.tar\.gz/qbittorrent-enhanced_$1\.orig\.tar\.gz/ \
  https://github.com/c0re100/qBittorrent-Enhanced-Edition/tags .*/release-(.+)\.tar\.gz
